跳转到主要内容
GET
/
characters
/
{slug}
/
reviews
/api/v1/characters/{slug}/reviews
curl --request GET \
  --url https://api.venice.ai/api/v1/characters/{slug}/reviews \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "characterId": "2f460055-7595-4640-9cb6-c442c4c869b0",
      "createdAt": "2025-02-09T03:23:53.708Z",
      "id": "1e38fb78-043f-4ce2-b3bc-966089c25467",
      "isOwner": false,
      "locale": "en",
      "message": "Thoughtful, grounded, and surprisingly practical.",
      "rating": 5,
      "userAvatarUrl": "https://cdn.venice.ai/avatar.png",
      "username": "product_user_42"
    }
  ],
  "object": "list",
  "pagination": {
    "page": 1,
    "pageSize": 20,
    "total": 87,
    "totalPages": 5
  },
  "summary": {
    "averageRating": 4.7,
    "totalReviews": 87
  }
}

实验性端点

这是一个实验性端点,可能会发生变化。

此端点的返回内容

此端点返回单个角色的分页公开评论。
  • 使用 slug 路径参数标识角色。
  • 使用 pagepageSize 查询参数分页浏览评论。
  • 分页元数据同时返回在响应正文和 x-pagination-* 响应头中。

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

路径参数

slug
string
必填

Slug of the character whose reviews should be retrieved

示例:

"alan-watts"

查询参数

page
integer
默认值:1

Page number for pagination

必填范围: x > 0
示例:

1

pageSize
integer
默认值:20

Number of reviews to return per page (max: 100)

必填范围: 0 < x <= 100
示例:

20

响应

OK

data
object[]
必填
object
enum<string>
必填
可用选项:
list
pagination
object
必填
summary
object
必填